/* You can add global styles to this file, and also import other style files */

@import "../../../node_modules/bootstrap/dist/css/bootstrap.css";
@import "./custom-theme.scss";
@import "./rki_blue_bright.css";

// import utilities from the tailwind library
@tailwind base;
@tailwind components;
@tailwind utilities;

/* to locally override styling rules use ::ng-deep .className {} inside the css-file */
html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
}

body {
  font-family: "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell",
    "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial",
    sans-serif;
  font-size: 14px;
  text-align: center;
}

.mat-tab-label,
.mat-tab-label-active {
  min-width: 10% !important;
  flex-grow: 1;
  flex-shrink: 1;
}

.mat-tab-body-wrapper {
  flex-grow: 1;
}

.divider-line {
  display: flex;
  align-items: center;
  width: 100%;
  padding: 0.75rem 0 0.75rem 0;
  color: #495057;
}

.divider-line::after {
  content: "";
  height: 1px;
  background-color: rgba(0, 0, 0, 0.125);
  flex-grow: 1;
  margin-left: 0.2rem;
}

custom-table-warning {
  background-color: #f8d7da;
}

.custom-tab-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1em;
  padding: 1em;
}

.custom-tab-box-centered {
  justify-content: center;
}

.custom-tab-box-left-justified {
  justify-content: flex-start;
}

.custom-card-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.custom-tabs .mat-tab-body-content {
  overflow: hidden;
  height: 100%;
}

.custom-tabs .mat-tab-body-wrapper {
  height: 100%;
}

.custom-select {
  display: inline-block;
  height: calc(1.5em + 0.75rem + 2px);
  // padding, color arrow
  padding: 0.375rem 1rem 0.375rem 0.75rem;
  color: #495057;
  // select options
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  text-align: left;

  vertical-align: middle;
  background: #fff;
  // background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e")
  //   right 0.75rem center/8px 10px no-repeat #fff;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.custom-file {
  position: relative;
  font-size: 1rem;
  height: calc(1.5em + 0.75rem + 2px);
  margin-bottom: 0;
  
}

.custom-file-input:lang(en) ~ .custom-file-label::after {
  content: "Browse";
}

.custom-file-label::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  //z-index: 3;
  display: block;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  line-height: 1.5;
  color: #495057;
  content: "Browse";
  background-color: #e9ecef;
  border-left: inherit;
 // border-radius: 0 0.25rem 0.25rem 0;
}

*,
::after,
::before {
  box-sizing: border-box;
}

.custom-file-input {
  position: relative;
  z-index: 2;
  height: calc(1.5em + 0.75rem + 2px);
  margin: 0;
  opacity: 0;
}

.custom-file-label {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 0 0.25rem 0.25rem 0;
}

.responsive-job-card {
  width: 100%;
  /*flex-shrink: 1;*/
  /*flex-grow: 1;*/
  min-height: 0;
  display: flex;
  flex-direction: column;
}

.content-grid-container {
  height: 100%;
  box-sizing: border-box;
  padding-top: 3rem;
  padding-bottom: 3rem;
  display: grid;
  grid-template-columns:
    [left] minmax(250px, 1fr) [center-left] minmax(600px, 2fr)
    [center-right] 1fr [right];
  grid-gap: 1rem;
  justify-items: stretch;
}

.centerd-grid {
  height: 100%;
  display: grid;
  grid-template-columns: [left] 1fr [center-left] minmax(600px, 2fr) [center-right] 1fr [right];
  grid-template-rows: [top] 1fr [upper-center] minmax(200px, 2fr) [lower-center] 1fr [bottom];
}

.centered-item {
  grid-column-start: center-left;
  grid-row-start: upper-center;
}

.center-image {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.horizontally-centered-item {
  grid-column-start: center-left;
}

.min-width-25 {
  min-width: 25%;
}

.table-element-row {
  cursor: pointer;
}

.table-element-row:hover {
  background: #f5f5f5;
}

.table-highlight-row {
  background: #ffdbd6;
}

.table-highlight-row:hover {
  background: #f5d3d3;
  cursor: pointer;
}
